Bug 71087 - Typo in RAID setup in /etc/rc.d/rc.sysinit
Typo in RAID setup in /etc/rc.d/rc.sysinit
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-08-08 13:02 EDT by Stephen Walton
Modified: 2014-03-16 22:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-13 23:16:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen Walton 2002-08-08 13:02:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
The grep command at line 439 in /etc/rc.d/rc.sysinit:

for i in `grep "^[^*]*raiddev" /etc/raidtab | awk '{print $2}'`

is incorrect.  I have an /etc/raidtab which contains the lines:

raid-level              0    # it's not obvious but this *must* be
                             # right after raiddev

and the above grep command returns the word 'right' as one of the raid devices
on my system.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Put a comment like the above in /etc/raidtab.
2. Reboot.  The system will give a message like 'device right not found'.


Actual Results:  raidstart erroneously tried to start up a raid device called

Expected Results:  It should have ignored the comment line.

Additional info:
Comment 1 A.J. Aranyosi 2002-11-23 12:39:13 EST
I haven't tested this, but this bug could probably be fixed by changing the line
to read:

for i in `awk '{if($1=="raiddev") print $2}' /etc/raidtab`
Comment 2 A.J. Aranyosi 2002-11-23 14:06:56 EST
Note that this bug can also be fixed using the third solution I posted in bug
Comment 3 Bill Nottingham 2003-01-13 23:16:54 EST
Tweak added in 7.03-1.

Note You need to log in before you can comment on or make changes to this bug.